# ProjectReportsPluginConvention

API Documentation: | `ProjectReportsPluginConvention`

The conventional configuration for the `ProjectReportsPlugin`.

### Properties

Property | Description
`projectReportDir` | The directory to generate the project reports into.
`projectReportDirName` | The name of the directory to generate the project reports into, relative to the project's reports dir.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `projectReportDir` (read-only)

The directory to generate the project reports into.

Default with `project-report` plugin:
  ``${project.reporting.baseDir}`/`${project.projectReportDirName}``

#### `String` `projectReportDirName`

The name of the directory to generate the project reports into, relative to the project's reports dir.

Default with `project-report` plugin:
  `'project'`